SZ and RZ Zmodem programs for ATARI ST: capable to work on remote lines.
------------------------------------------------------------------------

This version: Kees Lemmens; Dec 1993

Original UNIX version was by Chuck Forsberg. Original Atari version was
adapted from the UNIX version by Jwahar Bhammi. This version was adapted
from the original Atari version by me.

The original code for ATARI was old and used many low-level tricks on the
ST, like Setexc calls to arrange for interrupts.
It also used setjmp/longjmp calls to make it possible to jump directly
into other functions: a style that must be horrible to see for a modern
C programmer !

Furthermore it only addressed the AUX: port and was not capable to
work on remote sessions as are possible nowadays by the 'stlogin' or
'init' packages for ATARI (under MINT).
The code provided some ways to work remote by using a REMOTE cpp
option. However : it still only addressed the AUX: port.


This new version has two modes :

local mode : (default)
----------------------

This is the default. In this mode the sz and rz programs work just like
the old versions and will addres the AUX: port directly.

remote mode : (-R option)
-------------------------

This can be achieved by supplying the -R option.

Now the zmodem programs will suppress any reports as they will of
course disturb the transfer process.  Reports should be generated by
the local Zmodem program you are using on the remote terminal.

The Zmodem programs will read from 'stdin' and 'stdout' instead of
accessing the AUX: port directly. This implies that any redirections
(as will be the case when you logged in remote) will be honored.

In this way zmodem wil work on every line you can log in to. (I
suppose even on the MIDI ports, although I can't test this.)

If you are on the console and you want to use zmodem over another line
than AUX you can also use the -R option with the following trick :

shell > sz -R <portname >portname

The shell redirection will then set the stdin and stdout channels to
'portname' (which can be /dev/midi , /dev/modem2 , /dev/serial or any
other line you might have on your ATARI.)

Warning :
---------

Just one remark : upto 9600 baud everything worked well with me, but I
now and then had some troubles on 19200 baud.
You'd better download with a speed up to 9600 baud to be on the safe
side.

My changes to Jwahar Bhammi's code :
------------------------------------

- Option -R is added to force programs to work over stdin/stdout instead of
  stdaux. This also suppresses messages to stdout or stderr as they will
  confuse the transfer process.
  This makes it possible to use zmodem on remote lines. (see above)

- UNIX style names are also recognized now. (/bin/rz.ttp changed automatically
  into \bin\rz.ttp)

- All calls to Setexc are removed and replaced by the UNIX style
  signal mechanism.

- All defines to build non-standalone versions are removed, as the non-
  standalone version will never be able to work over a remote line.

- All function headers are declared in ANSI style now. I also put them in
  the special headerfile common.h, to improve the typechecking capability
  at compile time.

- All calls to setjmp and longjmp are removed, as it made the code very
  hard to understand: it reminded me to the horrible hours I had to
  understand code written in archaic languages such as BASIC or FORTRAN !

  I didn't remove the calls to 'goto' as this would require me to almost
  completely rewrite the code and I didn't consider this to be worth the
  trouble.


Any remarks or suggestions can be send to:

		 lemmens@dv.twi.tudelft.nl

